//
//  InsertJobViewController.h
//  iTimesheet
//
//  Created by Mark Brindle on 02/04/2011.
//  Copyright 2011 ARKEMM Software Limited. All rights reserved.
//

#import <UIKit/UIKit.h>

// set up an index for the component in our costCentrePicker
#define kCostCentreComponent 0

// Forward declaration of classes used in the interface definition
@class PPProject;
@class PPCostCentre;

@interface InsertJobViewController : UIViewController
  <UIPickerViewDelegate, UIPickerViewDataSource> {
  IBOutlet UITextField *jobName;
  IBOutlet UITextField *jobDesc;
  UILabel *defaultCostCentre;
  UIPickerView *costCentrePicker;
}

@property (nonatomic, retain) IBOutlet UILabel *defaultCostCentre;
@property (nonatomic, retain) IBOutlet UIPickerView *costCentrePicker;

// Manually generated properties to hold user data
@property (nonatomic, retain) PPProject *project;
@property (nonatomic, retain) PPCostCentre *jobCostCentre;
@property (nonatomic, retain) NSArray *costCentres;

@property (nonatomic, copy) NSString *jobNameValue;
@property (nonatomic, copy) NSString *jobDescValue;

// Method called when text field loses focus.  Created automatically via IB
- (IBAction)textFieldDidEndOnExit:(id)sender;

// Manually created methods attached to navigation buttons (see init method)
- (IBAction)create:(id)sender;
- (IBAction)cancel:(id)sender;

// Manually added method
- (void)setCostCentre:(NSString *)costCentre;

@end
