//
//  PPProject.m
//  iTimesheet
//
//  Created by Mark Brindle on 08/04/2011.
//  Copyright (c) 2011 ARKEMM Software Limited. All rights reserved.
//

#import "PPProject.h"
#import "PPJob.h"


@implementation PPProject
@dynamic name;
@dynamic desc;
@dynamic costCentre;
@dynamic jobs;

- (void)addJobsObject:(PPJob *)value {    
    NSSet *changedObjects = [[NSSet alloc] initWithObjects:&value count:1];
    [self willChangeValueForKey:@"jobs" withSetMutation:NSKeyValueUnionSetMutation usingObjects:changedObjects];
    [[self primitiveValueForKey:@"jobs"] addObject:value];
    [self didChangeValueForKey:@"jobs" withSetMutation:NSKeyValueUnionSetMutation usingObjects:changedObjects];
    [changedObjects release];
}

- (void)removeJobsObject:(PPJob *)value {
    NSSet *changedObjects = [[NSSet alloc] initWithObjects:&value count:1];
    [self willChangeValueForKey:@"jobs" withSetMutation:NSKeyValueMinusSetMutation usingObjects:changedObjects];
    [[self primitiveValueForKey:@"jobs"] removeObject:value];
    [self didChangeValueForKey:@"jobs" withSetMutation:NSKeyValueMinusSetMutation usingObjects:changedObjects];
    [changedObjects release];
}

- (void)addJobs:(NSSet *)value {    
    [self willChangeValueForKey:@"jobs" withSetMutation:NSKeyValueUnionSetMutation usingObjects:value];
    [[self primitiveValueForKey:@"jobs"] unionSet:value];
    [self didChangeValueForKey:@"jobs" withSetMutation:NSKeyValueUnionSetMutation usingObjects:value];
}

- (void)removeJobs:(NSSet *)value {
    [self willChangeValueForKey:@"jobs" withSetMutation:NSKeyValueMinusSetMutation usingObjects:value];
    [[self primitiveValueForKey:@"jobs"] minusSet:value];
    [self didChangeValueForKey:@"jobs" withSetMutation:NSKeyValueMinusSetMutation usingObjects:value];
}


@end
